CVE-2018-18066

NameCVE-2018-18066
Descriptionsnmp_oid_compare in snmplib/snmp_api.c in Net-SNMP before 5.8 has a NULL Pointer Exception bug that can be used by an unauthenticated attacker to remotely cause the instance to crash via a crafted UDP packet, resulting in Denial of Service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
net-snmp (PTS)jessie5.7.2.1+dfsg-1+deb8u1fixed
jessie (security)5.7.2.1+dfsg-1+deb8u2fixed
stretch (security), stretch5.7.3+dfsg-1.7+deb9u1fixed
buster, sid5.7.3+dfsg-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
net-snmpsource(unstable)5.7.3+dfsg-1.1medium
net-snmpsourcejessie5.7.2.1+dfsg-1+deb8u1medium

Notes

https://sourceforge.net/p/net-snmp/code/ci/f23bcd3ac6ddee5d0a48f9703007ccc738914791/
The same commit as for other CVEs (CVE-2018-1000116, CVE-2015-5621) adresses this
issue, but might still not be just a duplicate but an independent issue fixed with
same commit.

Search for package or bug name: Reporting problems